Orgs Pages
Get a page
Get a single page with its blocks, by slug or id.
GET
/
orgs
/
{org_id}
/
pages
/
{page_ref}
Get a page
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/pages/{page_ref} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/pages/{page_ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/pages/{page_ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "page_5Fb7…",
"slug": "store-overview",
"title": "Store overview",
"icon": "<string>",
"color": "red",
"parent_id": "<string>",
"position": 123,
"show_in_sidebar": true,
"archived": true,
"readonly": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocks": [
{
"id": "block_5Fb7…",
"page_id": "page_5Fb7…",
"type": "heading",
"config": {
"shared": {
"size": "sm",
"height": "sm"
},
"heading": {
"text": "<string>",
"level": 1
},
"text": {
"markdown": "<string>"
},
"stat": {
"label": "<string>",
"metric": {
"aggregation": "count",
"field_key": "<string>"
},
"window": {
"field_key": "<string>",
"last": "7d"
},
"filter": {
"type": "rule",
"key": "<string>",
"operator": "contains",
"value": "<unknown>"
},
"format": "number",
"compare": "previous_period"
},
"chart": {
"label": "<string>",
"kind": "bar",
"metric": {
"aggregation": "count",
"field_key": "<string>"
},
"group_by": {
"field_key": "<string>",
"bucket": "day"
},
"window": {
"field_key": "<string>",
"last": "7d"
},
"filter": {
"type": "rule",
"key": "<string>",
"operator": "contains",
"value": "<unknown>"
},
"limit": 25
},
"table": {
"limit": 25,
"interaction": "readonly"
},
"pages": {
"page_ids": [
"<string>"
],
"style": "cards"
}
},
"table_id": "<string>",
"view_id": "<string>",
"position": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Authorizations
Bearer token authentication using your API key
Response
200 - application/json
Example:
"page_5Fb7…"
Friendly URL segment, unique per org.
Required string length:
1 - 64Pattern:
^[a-z][a-z0-9-]{0,63}$Example:
"store-overview"
Page title.
Required string length:
1 - 255Example:
"Store overview"
The emoji of a curated icon a user can pick for a table, view, field, or other entity
The name of the color to use in the UI
Available options:
red, orange, amber, yellow, lime, green, teal, cyan, sky, blue, indigo, violet, purple, fuchsia, pink, rose, neutral Parent page id. Reserved for nesting; unused by the UI.
Sidebar-zone order.
Locked: the UI hides all edit affordances until unlocked.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get a page
